Comment installer AceStream sur Linux et ne pas mourir en essayant

Ceux d'entre nous qui aiment le sport et n'ont pas accès à toutes les chaînes sportives actuelles sont généralement confrontés au problème que pour en profiter, nous devons utiliser diverses pages qui transmettent matchs en ligne, la plupart demandent installer AceStream, qui a tendance à être un peu complexe à installer sous Linux.

Dans ce guide, nous allons apprendre comment installer AceStream sur Linux sans mourir dans la tentative, en apportant des solutions aux problèmes les plus courants aujourd'hui. Son utilisation et le contenu auquel vous accédez sont sous votre entière responsabilité.

Qu'est-ce qu'AceStream?

acestream est un plateforme multimédia assez innovant, ce qui a porté la reproduction d’audiovisuels sur Internet à un niveau supérieur. Pour cela, il a mis en place un gestionnaire universel de téléchargement de fichiers multimédias, qui utilise les technologies P2P les plus avancées, garantissant un processus de stockage et de transmission des données efficace.

Le logiciel Ace Stream nous offre une série d'avantages dans lesquels nous pouvons souligner:

  • Possibilité de visionner des émissions en ligne (TV, flux personnalisés, films, dessins animés, etc.), avec une qualité audio et d'image élevée.
  • Écoutez de la musique en ligne dans un format qui ne perd aucune qualité.
  • Visualisez les torrents en ligne, sans avoir à attendre le téléchargement complet.
  • Affichez le contenu sur des appareils distants (Apple TV, Chromecast, etc.) via des protocoles de communication tels que AirPlay, Google Cast et autres.
  • Permet l'intégration avec diverses applications. Installez AceStream sur Linux

Comment installer AceStream sur Linux

Pour installer AceStream sur Linux, nous devons suivre différentes étapes en fonction de la distribution que vous utilisez, nous nous concentrerons sur Arch Linux et Ubuntu, mais nous espérons à l'avenir pouvoir l'installer sur d'autres distributions.

Installer AceStream sur Arch Linux et ses dérivés

La raison principale pour laquelle j'ai rédigé cet article est que beaucoup ont eu du mal à installer AceStream sur Arch Linux, Antergos, Manjaros et dérivés, la cause principale est que le pkgbuild du plugin plugin acestream-mozilla Cela donne une erreur lors de l'installation, la solution est extrêmement simple.

Nous allons installer le plugin acestream-mozilla qui nous installera également un moteur à vapeur y acestream-joueur-données quels sont les packages nécessaires pour reproduire AceStream de Firefox.

Tout d'abord, nous devons ouvrir un terminal et exécuter la commande suivante:
gpg --keyserver pgp.mit.edu --recv-keys FCF986EA15E6E293A5644F10B4322F04D67658D8

Cela résoudra le problème de vérification qui empêche l'installation de la dépendance nécessaire à l'installation plug-in acestream-mozilla.

Ensuite, nous exécutons la commande suivante

yaourt -S acestream-mozilla-plugin

A plusieurs reprises, on nous demandera si nous voulons installer diverses dépendances, il faut dire oui à tous.

Installez AceStream sur Ubuntu et ses dérivés

Installez AceStream sur Ubuntu 14.04 et ses dérivés

Pour les utilisateurs d'Ubuntu et de ses dérivés jusqu'à la version 14.04, l'installation d'AceStream sera assez simple, ils n'auront qu'à exécuter les commandes suivantes depuis le terminal:

echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add - sudo apt-get update sudo apt-get install acestream-full

Installez AceStream sur Ubuntu 16.04 et ses dérivés

Ceux qui devront se battre un peu plus sont les utilisateurs d'Ubuntu 16.04 et de ses dérivés car acestream n'a pas de support pour cette version, mais grâce à cela artículo, J'ai réussi à l'installer.

La première chose que nous allons faire est de télécharger et d'installer certaines dépendances que vous ne pourrez pas télécharger à partir des référentiels officiels, assurez-vous d'installer celles qui conviennent à l'architecture de votre distribution:

Architecture 64 bits:

  1. Téléchargez et installez libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb vous pouvez le faire à partir du lien suivant: http://launchpadlibrarian.net/216005292/libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb
  2. Téléchargez et installez dans l'ordre dans lequel les dépendances suivantes sont présentées:  acestream-player-compat_3.0.2-1.1_amd64.deb; acestream-engine_3.0.3-0.2_amd64.deb; acestream-player-data_3.0.2-1.1_amd64.deb; acestream-player_3.0.2-1.1_amd64.deb Vous pouvez télécharger chacun d'eux à partir du lien suivant: https://drive.google.com/folderview?id= … e_web#list

Architecture 32 bits:

  1. Téléchargez et installez libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb vous pouvez le faire à partir du lien suivant: http://launchpadlibrarian.net/216005191/libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb
  2. Téléchargez et installez dans l'ordre dans lequel les dépendances suivantes sont présentées: acestream-player-compat_3.0.2-1.1_i386.deb; acestream-engine_3.0.3-0.2_i386.deb; acestream-player-data_3.0.2-1.1_i386.deb; acestream-player_3.0.2-1.1_i386.deb Vous pouvez télécharger chacun d'eux à partir du lien suivant: https://drive.google.com/folderview?id= … e_web#list

Ensuite, nous devons continuer l'installation habituelle d'AceStream comme nous l'avons fait pour la version 14.04, ouvrir un terminal et exécuter:

echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add - sudo apt-get update sudo apt-get install acestream-full

Dans certains cas, il est nécessaire de démarrer le service acestream-engine.service, pour cela, nous exécutons les commandes suivantes depuis le terminal:

systemctl start acestream-engine.service systemctl enable acestream-engine.service

Avec ce tutoriel, nous espérons que vous pourrez profiter de ce formidable protocole de transmission multimédia qui utilise toute la capacité de la technologie P2P.


Le contenu de l'article adhère à nos principes de éthique éditoriale. Pour signaler une erreur, cliquez sur c'est par ici !.

41 commentaires, laissez le vôtre

Laisser un commentaire

Votre adresse e-mail ne sera pas publiée.

*

*

  1. Responsable des données: Miguel Ángel Gatón
  2. Finalité des données: Contrôle du SPAM, gestion des commentaires.
  3. Légitimation: votre consentement
  4. Communication des données: Les données ne seront pas communiquées à des tiers sauf obligation légale.
  5. Stockage des données: base de données hébergée par Occentus Networks (EU)
  6. Droits: à tout moment, vous pouvez limiter, récupérer et supprimer vos informations.

  1.   Julio César Campos dit

    Eh bien le post mais au moins dans archlinux et c'était mon cas, vous avez besoin de: "systemctl start acestream-engine.service" et "systemctl enable acestream-engine.service" pour que cela fonctionne.

    1.    lézard dit

      Le testiez-vous depuis Firefox ou utilisiez-vous un autre navigateur?

  2.   UserDebian dit

    Quelqu'un sait-il comment le faire fonctionner sur Debian 9?

  3.   Julio César Campos dit

    Firefox sur Archlinux

  4.   gécoxx dit

    Je ne sais pas si mon précédent commentaire a été publié ... je le répète! Cela prend je ne sais pas combien d'heures à exécuter la foutue commande dans le terminal, et que je mets –pas de confirmation, et à la fin ça ne marche pas !!
    un autre post qui ne sert à rien!

    tentative d'installation sur Manjaro

    1.    lézard dit

      Cher que cela n'a pas fonctionné pour vous, cela a parfaitement fonctionné pour moi, essayez de toute façon d'exécuter ces 2 commandes:
      "Systemctl start acestream-engine.service" et "systemctl enable acestream-engine.service"

  5.   Joseph dit

    bon

    J'ai réussi à faire toutes les étapes sans aucun problème. Mais en essayant de démarrer le service à partir du terminal, cela m'a donné deux échecs;
    systemctl démarrer acestream-engine.service
    Échec du démarrage de acestream-engine.service: unité acestream-engine.service introuvable.
    systemctl activer acestream-engine.service
    Échec de l'exécution de l'opération: aucun fichier ou répertoire de ce type

    1.    gustavo dit

      La même chose m'est arrivée. le terminal me renvoie ces commandes avec ces échecs.

  6.   Jean M dit

    Merci beaucoup pour la publication! Si vous utilisez Ubuntu 16.10 64 bits, vous ne pourrez pas installer "acestream-player-data_3.0.2-1.1_amd64.deb". Ils doivent d'abord télécharger et installer ces packages:

    libavcodec-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    liblivemedia50_2016.02.09-1_amd64.deb
    libswresample-ffmpeg1_2.8.6-1ubuntu2_amd64.deb
    libavformat-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    libpng12-0_1.2.54-1ubuntu1_amd64.deb
    libswscale-ffmpeg3_2.8.6-1ubuntu2_amd64.deb
    libavutil-ffmpeg54_2.8.6-1ubuntu2_amd64.deb
    libpostproc-ffmpeg53_2.8.6-1ubuntu2_amd64.deb
    libwebp5_0.4.4-1.1_amd64.deb

    Il faut probablement une autre dépendance qui se trouve dans les dépôts.
    Salutations!

  7.   miles dit

    Bon.
    Le plugin acestream-mozilla-plugin a cessé de fonctionner dans Firefox 52, comme beaucoup d'autres plugins NPAPI.

  8.   Darco dit

    Une autre option très bonne et simple consiste à utiliser docker et à devenir indépendant de votre système d'exploitation. En utilisant le aceproxy, vous pouvez le reproduire-

    J'ai écrit un petit tutoriel et un script, pour faciliter l'exécution.
    https://gist.github.com/alex-left/7967dac44f2d2e31eabba2fae318a402

  9.   David Martin dit

    Dans la partie de son installation à partir d'Ubuntu 16.04, quand vous dites télécharger et installer ces fichiers, comment les installez-vous? Lorsque je les télécharge et les extrait, certains ne sont qu'un fichier libreoffice et d'autres, je ne sais pas comment les «installer».
    Merci d'avance et salutations.
    David.

  10.   Wow dit

    Soit les touches ne fonctionnent plus, soit il y a une erreur dans les paquets, mais dans arch et manjaro, il est impossible de l'installer.
    Lorsque vous essayez d'installer une dépendance (qwebquit) ou quelque chose comme ça, il entre dans une boucle et il n'y a aucun moyen.
    Quelqu'un a-t-il trouvé la solution?
    merci

    1.    Alexander dit

      Bonjour, pour l'installation dans arch linux, vous devez effectuer les opérations suivantes:
      -Installez le paquet 'acestream-launcher' de yaourt avec 'yaourt -S acestream-launcher' (le paquet que nous allons activer ensuite vous est automatiquement téléchargé)
      -Activez acestream-engine.service, nous entrons dans le terminal et en mode ROOT nous mettons ce qui suit
      -systemctl démarre acestream-engine.service
      -systemctl active acestream-engine.service
      J'ai redémarré l'ordinateur après cela, je ne sais pas si cela sera nécessaire mais juste au cas où
      -Cela devrait suffire mais dans les dernières mises à jour d'Arch, ils ont foiré quelque chose et cela ne fonctionne pas, alors ils ont cherché une solution temporaire, qui consiste à télécharger un fichier, c'est la suivante:
      - https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz
      source: https://aur.archlinux.org/packages/acestream-launcher/ (sur les commentaires)
      une fois téléchargé, nous allons au terminal et allons dans le dossier où nous l'avons téléchargé,
      Nous procédons à l'installer avec 'sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz' et c'est tout, ça devrait aller, la première fois ça ne va jamais donc je clique une deuxième fois, la première fois toujours donne une erreur, c'est tout

      PS: clarifiez que sudo pacman -U et non -S car il s'agit d'un paquet local obtenu à partir de makepkg

      1.    Wow dit

        Merci beaucoup de votre intérêt.
        Je l'ai essayé tellement de fois que je connais déjà les dépendances, et les commentaires sur les paquets dans l'installation avec yaourt par cœur. Je vais suivre vos conseils avec le lanceur et voir si j'ai de la chance. Je vais vous dire.
        Je répète mes remerciements

        felipe

        1.    Wow dit

          D'une manière ou d'une autre, cela ne fonctionne pas. J'ai essayé avec le lien que vous avez mis dans les commentaires, mais cela ne le résout pas, il reconnaît le lien, cela me donne la possibilité de choisir le programme, je choisis acestream-launcher mais le VLC ne s'ouvre pas.
          En console, cela me donne la réponse suivante.

          Fichier «/usr/lib/python3.6/site-packages/psutil/init.py », ligne 1231, dans _send_signal
          os.kill (self.pid, sig)

          Nous devrons attendre les nouvelles mises à jour.
          Merci pour votre aide.

  11.   Wow dit

    Après la nouvelle mise à jour, la réponse dans la console est la suivante.

    acestream-launcher acestream://0cec6c0299c99f45c1859398d150c3a48e6d8b2e
    Moteur Acestream en marche.
    2017-07-28 18: 16: 59,615 | MainThread | acestream | erreur au démarrage
    Traceback (appel le plus récent dernier):
    Fichier «core.c», ligne 1590, dans
    Fichier «core.c», ligne 144, dans
    Fichier «core.c», ligne 2, dans
    ImportError: impossible d'importer le nom __m2crypto
    Erreur lors de l'authentification sur Acestream!
    Le lecteur multimédia ne fonctionne pas ...

    Nous nous améliorons, maintenant il reconnaît l'acestream, mais le libcrypto continue de se battre.

    1.    Wow dit

      J'ai essayé d'installer le package que vous recommandez dans le lien que vous m'avez envoyé.

      - https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

      Et cela résout efficacement le problème, vlc s'ouvre et Acestream fonctionne.
      Je vous remercie beaucoup pour votre aide-

      1.    Alexander dit

        Bonjour, désolé pour le retard, c'était très étrange que cela n'ait pas fonctionné pour vous quand cela a fonctionné, je suis dans Arch plasma, je suis heureux que cela vous ait aidé, c'est pour ça que nous sommes

        Dans l'autre distribution que j'ai qui est Fedora, ce que j'ai, c'est Wine qui émule acestream pour Windows xD, au cas où vous iriez dans une autre distribution ou dans le même Arch, ce qui me surprend c'est que même dans Debian, ils n'ont pas ces paquets ...

      2.    fabricant de délicatesse01 dit

        Bonjour et le fichier est comment il est installé Je suis encore un débutant, une salutation

        1.    Wow dit

          sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

          Il le met dans le commentaire ci-dessus

  12.   chemabs dit

    Hier, je l'ai installé en tant que package instantané dans Kde Neon 5.8 et j'ai été étonné de voir à quel point cela fonctionnait simple et rapide pour moi. Ce serait bien si vous mettez à jour l'article car il n'y a pas de comparaison, le processus est beaucoup plus simplifié.

    sudo apt install snapd → installer le système de gestion des paquets snap (si vous ne l'avez pas installé)
    snap find acestream → pour vérifier que nous avons le programme dans les référentiels (tous les dérivés ubuntu devraient l'avoir)
    sudo snap installer acestreamplayer

    salutations

    1.    Antonio Manzano dit

      Tu as raison. Je viens de l'installer dans kubuntu 17.10, car la méthode qui apparaît ici est totalement irréalisable. Merci beaucoup

      1.    Papa dit

        non valide pour l'architecture i386

    2.    sie9k dit

      Cela a été le seul moyen de l'installer sur Lubuntu 16.04.4, mais il n'y a aucun moyen pour moi de sauvegarder le fichier de configuration et je dois configurer un paramètre pour qu'il fonctionne avec Serviio. Des idées pour y remédier?

  13.   José Antonio dit

    Très bon article. Une page Web incontournable pour les débutants sous Linux.

  14.   Peter la recrue dit

    Comment l'installeriez-vous pour AntiX 16 (c'est une distribution Linux)?

    J'ai essayé comme Arch Linux et ses dérivés mais je suis tellement novice que je dois me tromper

  15.   Alexander dit

    Bonjour, avec les packages sna, que le collègue ci-dessus commente dans un commentaire, c'est devenu plus facile non seulement pour ces distributions mais pour beaucoup. Les distributions compatibles avec ces packages sont ici:
    https://snapcraft.io/

    Dans Debian, ce serait comme suit:
    -sudo apt installer snapd
    -sudo snap installer le noyau
    -sudo snap installer acestreamplayer
    Dans Arch et dérivés:
    -sudo pacman -S snapd
    -sudo systemctl activer -maintenant snapd.socket
    -sudo snap installer acestreamplayer

    Dans Arch (plasma), j'ai dû redémarrer pour que les paquets installés apparaissent, s'il n'apparaît pas, vous savez déjà quoi faire.

    Dans ubuntu et ses dérivés, je suppose que ce sera comme le partenaire qui l'a installé ci-dessus dans les commentaires avec KDE neon.

    Il est curieux que dans Gnome avec Debian cela ait l'air assez moche et ne s'intègre pas bien avec GTK mais dans Arch plasma il s'intègre assez bien, l'important est qu'il soit vu en dehors de l'esthétique.

    1.    william dit

      cela vous installe-t-il un moteur de flux?
      pas à moi

      1.    Alexander dit

        Bonjour, non, vous ne l'installez pas, et vous n'en avez pas besoin, avec les packages snap toutes les dépendances sont couvertes, cela doit fonctionner oui ou oui.

    2.    txuber dit

      Salut Alejandro, vois si tu peux m'aider
      [txuber @ manjaro ~] $ sudo systemctl enable –now snapd.socket
      Échec de l'activation de l'unité: le fichier d'unité \ xe2 \ x80 \ x93now.service n'existe pas.
      sur manjaro Manjaro XFCE Edition (17.0.4) x64

      1.    Alexander dit

        Bonjour, Manjaro c'est que ce n'est pas du pur Arch et que les choses peuvent changer un peu, il est peut-être déjà activé et ce n'est pas nécessaire de le faire, je suppose que vous avez déjà essayé de sauter cette étape ...

  16.   Debian dit

    Une fois installé, que faire? Parce que le lecteur ace n'est pas installé, je ne sais pas comment le faire fonctionner.
    Quelqu'un m'aide s'il te plait?

    1.    Wow dit

      Si ce que vous avez installé est le lanceur d'acestream, lorsque vous cliquez sur un lien acestream vous demandera avec quelle application vous voulez ouvrir le lien, vous lui dites qu'avec VLC, et c'est celui qui fera les fonctions de l'as-player

      1.    Debian dit

        Salut. Tout d'abord, merci beaucoup pour votre aide. Je te commente. J'ai installé le paquet d'acestream snap dans Debian 9 avec gnome. Quand je suis dans arenavisión, ce pour quoi je le veux, je clique sur un lien acestream et une fenêtre apparaît qui me donne deux options, la première est acestreamengine que si je clique dessus cela ne fait rien et la seconde est de choisir une autre application, je lui donne à choisir mais les applications installées ne s'ouvrent pas, mon dossier d'accueil s'ouvre, donc je ne sais pas comment sélectionner le vlc.

        Salutations.

        1.    Alexander dit

          Avec le lanceur acestream ça ne va pas du tout bien, mieux vaut l'installer avec le package Snap comme je l'explique dans mon commentaire ci-dessus.

  17.   Peter la recrue dit

    J'essaye d'installer le package snapd, mais il ne me laisse pas:

    sudo apt installer snapd
    Lecture de la liste des paquets ... Terminé
    Créer une arborescence de dépendances
    Lecture des informations d'état ... Terminé
    E: Le package snapd n'a pas pu être localisé

    Qu'est-ce que je fais?

  18.   Alf dit

    Merci beaucoup, c'est l'un des programmes que j'ai utilisé sous windows et je voulais l'avoir sous linux

  19.   oscar dit

    Merci Chemabs et Alejandro! Parfait avec Ubuntu 17.10
    sudo apt installer snapd
    snap trouver acestream
    sudo snap installer acestreamplayer
    Et voilà!
    Ce qui est incroyable, c'est que vous allez sur le site officiel et qu'ils vous envoient un post sur leur forum à partir de 2014! Et dans lequel ils ne mentionnent que jusqu'à Ubuntu 13.04!

  20.   Marco Barria dit

    bon, comme on dit dans les commentaires précédents cela fonctionne parfaitement avec snapd in arch:

    sudo pacman -S snapd
    sudo systemctl activer snapd.socket
    reboot
    sudo snap installer acestreamplayer
    reboot

    et prêt :

  21.   mchavez dit

    bonjour, et y a-t-il un moyen d'installer le flux ace sans avoir à être programmeur ... comme cela se fait avec Windows

bool (vrai)